<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

//Periodo para cerrar mes
if($sis_mes==1):
    $mes_periodo=12;
    $ano_periodo=$sis_ano-1;
else:
    $mes_periodo=$sis_mes-1;
    $ano_periodo=$sis_ano;
endif;

$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact'";
$conGrupo = $bdFact->consulta($sqlGrupo);
$resGrupo = $bdFact->fetch_assoc($conGrupo);
$comentario = utf8_decode($resGrupo['nom_cli']);


if(isset($_POST['nombre_plano'])):
	$nombre_plano = strtoupper(utf8_decode($_POST['nombre_plano']));
else:
	$nombre_plano = '';
endif;

if(isset($_POST['nombre'])):
	$nombre = strtoupper(utf8_decode($_POST['nombre']));
else:
	$nombre = '';
endif;

//Valido si no hay empresas parecidas
$sqlEMP="INSERT INTO cta(tipo_doc_emp, nit, nit_plano, digVeri, nombre, nombre_plano, dire, tele, sueldomin, arp1, arp2, arp3, arp4, arp5, vr_eps, pensiones, vr_caja, s_mensajeria, mora, iva, admon_proporcional, arl_cta, ciudad_cta, vr_admon, prefijo, pie_recibos, comentario, dia_completo, sin_caja, tipo_recibos, fecha_creacion, activo, modo, id_fk_cliente_fact, departa, creado_por, rec_egreso, cierre_mes_final) VALUES ('$tipo_doc_emp', '$nit', '$nit_plano', '$digVeri', '$nombre', '$nombre_plano', '$dire', '$tele', '$sueldomin', '$arp1', '$arp2', '$arp3', '$arp4', '$arp5', '$vr_eps', '$pensiones', '$vr_caja', '$s_mensajeria', '$mora', '$iva', '$admon_proporcional', '$arl_cta', '$ciudad_cta', '$vr_admon', '$prefijo', '$pie_recibos', '$comentario', '30', '$sin_caja', '$tipo_recibos', '$fecha_hoy', '1', '0', '$id_fk_cliente_fact', '$departa', '$ges_nom', '$rec_egreso', '$cierre_mes_final')";
$inserEMP = $bdDepen->consulta("$sqlEMP");	
$texto = 'Ingresó el grupo emrpesarial '.$nom_cli.' correctamente en la base de datos';

$sqlMax = "SELECT MAX(id_cta) as id FROM cta where nit = $nit and nombre_plano = '$nombre_plano'";
$conMAX = $bdDepen -> consulta($sqlMax);	
$resMAX = $bdDepen -> fetch_array($conMAX);
$id_cta = $resMAX['id'];

$sqlNuevoMes = "INSERT INTO h_mes(id_registro,id_cta_fk_hm,tipo_registro,dia,mes,ano,mes_periodo,ano_periodo,act,us) values ('1','$id_cta','','$sis_dia','$sis_mes','$sis_ano','$mes_periodo','$ano_periodo','1','0')";
$insNuevoMes = $bdDepen -> consulta($sqlNuevoMes);

?>
<meta charset = "utf-8">
<meta http-equiv = "Content-Type" content = "text/html; charset = utf-8"/> 

<form name = "mostrPinc" id = "mostrPinc">
    <input name = "id_cta" id = "id_cta" type = "hidden" value = "<?= $id_cta?>">
</form>


<div id = "accionesDiv">
    <div id = "accionesDivText" class = "accionesDivText"><?=$texto?></div>
    <div id = "accionesDiv2">
        <div id = "accionesDivBoton">
            <div id = "boton" class = "boton" onClick = "guardar('dep_crear_empresa.php','','modal','cargando')">Crear nueva empresa</div>
        </div>
        <div id = "accionesDivBoton">
            <div id = "boton" class = "boton" onClick = "dato('dep_listado_grupos.php','divDer1','cargando','',''); dato('dep_consul_empresa_pin1.php','divDer2','cargando','id_cta','<?=$id_cta?>'); ocultar('#','modal')">Crear usuarios</div>
        </div>
    </div>
</div>

